apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: {{ backups_name }}
  namespace: {{ namespace }}
rules:
{% if k8s_flavor == 'openshift' %}
- apiGroups:
  - ""
  - apps.openshift.io
  resources:
  - deploymentconfigs
  verbs:
  - 'get'
  - 'list'
  - 'watch'
{% endif %}
- apiGroups:
  - ""
  resources:
  - endpoints
  - pods
  - secrets
  - services
  verbs:
  - 'get'
  - 'list'
  - 'watch'
- apiGroups:
  - apps
  resources:
  - daemonsets
  - deployments
  - replicasets
  - statefulsets
  verbs:
  - 'get'
  - 'list'
  - 'watch'
- apiGroups:
  - extensions
  resources:
  - daemonsets
  - deployments
  - replicasets
  verbs:
  - 'get'
  - 'list'
  - 'watch'
